#include <osbind.h>

#include "mintbind.h"
#include "signal.h"

#define ALT_1 0x780000L
#define ALT_2 0x790000L
#define ALT_0 0x810000L

void flash_off(), flash_on();

typedef struct screen {
	char	*base;		/* address of top left of screen */
	int	fd;		/* associated pseudo-tty */
	int	pid;		/* associated process id */
	short	planesiz;	/* length of a screen scan line */
	short	linelen;	/* length (in bytes) of a line of characters */	
	short	maxx;		/* number of characters across */
	short	maxy;		/* number of characters high */
	short	cwidth;		/* character width (must be 8!) */
	short	cheight;	/* character height */
	short	cx, cy;		/* current (x,y) position of cursor */
	void	(*state)();	/* current state (e.g. ESC seen) */
	short	savex, savey;	/* saved values of x, y from ESC j */
	short	flags;		/* e.g. cursor on/off */
	short	escy1;		/* first char. for ESC Y */
	long	*lineoff;	/* offset of screen lines */
	long	lastlineoff;	/* (v->lineoff)[v->maxy-1] */
} SCREEN;

#define NUMSCREENS 2	/* number of logical screens */
SCREEN *screen[NUMSCREENS], *current;

/* possible flags */
#define FINVERSE 0x0001	/* inverse video */
#define FCURS	 0x0002	/* cursor enabled */
#define FWRAP	 0x0004	/* wrap at end of line */
#define FFLASH	 0x0010	/* cursor is currently flashing */

#define KEYFD -1		/* file descriptor for the keyboard */
